package net.h34t.filemure

import org.apache.pdfbox.Loader
import org.apache.pdfbox.text.PDFTextStripper

class ContentExtractor {

    fun extractPdf(pdfBytes: ByteArray): String {
        val doc = Loader.loadPDF(pdfBytes)

        return PDFTextStripper().getText(doc)
    }

    fun extractPlain(bytes: ByteArray): String {
        return bytes.toString(Charsets.UTF_8)
    }
}